function [AF1,AF2,AF3,AF4]=compute_AF(a,D,N,beta,lambda,p,V1,V2)
%Compute the 4 component of AF(a) (without truncation), that will be used
%for the Y bound.

M=2*N-1;

AF1=zeros(M*(M+1)/2,1);

vect=D*F(a,N,beta,lambda,p,V1,V2);

AF1(1:N*(N+1)/2)=vect(1:4:end);
AF2=vect(2:4:end);
AF3=vect(3:4:end);
AF4=vect(4:4:end);

a1=zeros(M*(M+1)/2,1);
a2=zeros(M*(M+1)/2,1);
a1(1:N*(N+1)/2)=a(1:4:end);
a2(1:N*(N+1)/2)=a(2:4:end);
a1a2=cauchy(a1,a2,N);

for k=N:M-1    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos=position(k-j,j);
        AF1(pos)=a1a2(pos)/((k-j)*lambda+j*conj(lambda));
    end
end

