function r_0=proof(a,AF1,AF2,AF3,AF4,B,D,N,beta,nu)
%Computes the radii polynomials and the interval (r_0,r_1)

c_pol=Y(AF1,AF2,AF3,AF4,N,nu);
b_pol=Z0(B,N,nu)+Z1(a,N,beta,nu)-1;
a_pol=Z2(D,N,beta,nu);

r_0=Inf;
if max(b_pol)>0
    %display('b_pol>0')
else
    delta=b_pol.^2-4*a_pol.*c_pol;
    if min(delta)<0
        %display('delta<0')
    else
        r_0=max((-b_pol-sqrt(delta))./(2*a_pol));
        r_1=min((-b_pol+sqrt(delta))./(2*a_pol));
        if r_0>r_1
            %display('r_0>r_1')
        end
    end
end
