function [a,gamma]=proof_max_r(a,N,beta,lambda,nu,r_max,p,V1,V2)
%Find the maximal rescaling for which the proof succeds with r_0<r_max

display('Proof and uniform rescaling')

D=inv(DF(a,N,beta,lambda));
B=eye(4*(N*(N+1)/2))-D*DF(a,N,beta,lambda);
[AF1,AF2,AF3,AF4]=compute_AF(a,D,N,beta,lambda,p,V1,V2);

gamma=1;
r_0=proof(a,AF1,AF2,AF3,AF4,B,D,N,beta,nu);
while r_0>r_max
    gamma=gamma/2;
    [a_rescaled,AF1_rescaled,AF2_rescaled,AF3_rescaled,AF4_rescaled,B_rescaled,D_rescaled]=rescale(a,AF1,AF2,AF3,AF4,B,D,N,gamma);
    r_0=proof(a_rescaled,AF1_rescaled,AF2_rescaled,AF3_rescaled,AF4_rescaled,B_rescaled,D_rescaled,N,beta,nu);
end

if gamma<1
    a_dicho=gamma;
    b_dicho=2*gamma;
else
    while r_0<r_max
        gamma=gamma*2;
        [a_rescaled,AF1_rescaled,AF2_rescaled,AF3_rescaled,AF4_rescaled,B_rescaled,D_rescaled]=rescale(a,AF1,AF2,AF3,AF4,B,D,N,gamma);
        r_0=proof(a_rescaled,AF1_rescaled,AF2_rescaled,AF3_rescaled,AF4_rescaled,B_rescaled,D_rescaled,N,beta,nu);
    end
    a_dicho=gamma/2;
    b_dicho=gamma;
end

margin_gamma=10^-2;
while b_dicho-a_dicho>margin_gamma
   gamma=(a_dicho+b_dicho)/2;
   [a_rescaled,AF1_rescaled,AF2_rescaled,AF3_rescaled,AF4_rescaled,B_rescaled,D_rescaled]=rescale(a,AF1,AF2,AF3,AF4,B,D,N,gamma);
   r_0=proof(a_rescaled,AF1_rescaled,AF2_rescaled,AF3_rescaled,AF4_rescaled,B_rescaled,D_rescaled,N,beta,nu);
   if r_0<r_max
       a_dicho=gamma;
   else
       b_dicho=gamma;
   end
end

a=a.*gamma.^multiple(V_alpha_1(N),4).*gamma.^multiple(V_alpha_2(N),4);
