function [a,AF1,AF2,AF3,AF4,B,D]=rescale(a,AF1,AF2,AF3,AF4,B,D,N,gamma)
%Compute the rescaled quantities needed for the rescaled bounds.

V1=V_alpha_1(N);
V2=V_alpha_2(N);
V=V1+V2;

M=2*N-1;
VV=V_alpha_1(M)+V_alpha_2(M);

a=a.*gamma.^multiple(V1,4).*gamma.^multiple(V2,4);

AF1=AF1.*gamma.^VV;
AF2=AF2.*gamma.^V;
AF3=AF3.*gamma.^V;
AF4=AF4.*gamma.^V;

L=spdiags(multiple(gamma.^(0:N*(N+1)/2-1),4),0,4*(N*(N+1)/2));
L_inv=spdiags(multiple((1/gamma).^(0:N*(N+1)/2-1),4),0,4*(N*(N+1)/2));
B=L*B*L_inv;
D=L*D*L_inv;