function [F1,F2,F3]=coef_F(a,N,sigma,s,Delta,zeta,epsilon,lambda_1,lambda_2)

% This function computes the real $F(a)$ (that is without the truncation at
% N). The result is stored in 3 vectors (F=(F1,F2,F3)).

M=3*N-2;

F_truncated=zeros(3*N*(N+1)/2,1);
F_truncated(10:3*N*(N+1)/2)=abs(F(a,N,sigma,s,Delta,zeta,epsilon,lambda_1,lambda_2));

F1=F_truncated(1:3:end);
F3=F_truncated(3:3:end);

u=zeros(M*(M+1)/2,1);
u(1:N*(N+1)/2)=a(1:3:end);

u2=cauchy(u,u,M);
u3=cauchy(u2,u,M);

F2=zeros(M*(M+1)/2,1);
F2(1:N*(N+1)/2)=F_truncated(2:3:end);
for k=N:M-1    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos=position(k-j,j);
        F2(pos)=abs(1/Delta*abs(u3(pos)-(1+sigma)*u2(pos)));
    end
end
