function vect=eval_para_vectorialized(x,y,N,M1,M2,M3)
%Evaluation of the parameterization at (x,y), vectorialized (badly) in
%order to be used by the Matlab integral2.m function.
%M1, M2 and M3 are the matrix representation of each component of the
%parameterization.

[m,n]=size(x);
vect=0*x; 

power=(0:N-1);

for i=1:m
    for j=1:n
        X=x(i,j).^(power');
        Y=y(i,j).^power;
        vect(i,j)=norm([Y*M1*X,Y*M2*X,Y*M3*X]);
    end
end