%% THIS SCRIPT COMPUTES AND DISPLAYS THE STABLE MANIFOLD. THE COMPUTATION 
%% IS DONE TO MAXIMIZE THE SURFACE AREA WHILE HAVING A DEFECT LESS THAN 
%% eps_max.

sigma=1/10;
s=1.37;
Delta=1;
p=0.001;
zeta=5;
epsilon=0.10;

N=30;

nu=1;
eps_max=10^-5;

%Compute the manifold:
[a,test_real]=compute_para_max_surface_area(sigma,s,Delta,p,zeta,epsilon,N,nu,eps_max);

mesh_size=20;
num_angles=30;
num_rad = 10;
n=3;

g_u=@(u) u.^3-(1+sigma)*u.^2+(sigma+1/zeta)*u-p;
u=fzero(g_u,0);
p0=[u;0;u/zeta];


%Triangulate the manifold:
if test_real==1
    [TRI, W] = triangulate(a,N,nu,mesh_size,test_real);
else
    [TRI, W] = triangulate_complex(a,N,nu,num_angles,num_rad,test_real);
end

%Plotting:
figure
hold on
t0 = trimesh(TRI, W(:,1),  W(:,2), W(:,3));
set(t0, 'FaceColor', 'red');
plot3(p0(1), p0(2), p0(3), 'k*')
%shading flat;                   
% other options are shading face / shading faceted

hold off  


camlight headlight
