%% THIS SCRIPT COMPUTES AND DISPLAYS THE STABLE MANIFOLD. THE
%% COMPUTATION OF THE MANIFOLD IS DONE TO MAXIMIZE THE SURFACE AREA UNDER 
%% THE CONSTRAINT THAT THE RATIO OF THE LENGTH OF THE EIGENVECTORS IS FIXED
%% BY THE RATIO OF THE EIGENVALUES, AND STILL WHILE HAVING A DEFECT LESS
%% THAN eps_max.


sigma=1/10;
s=1.37;
Delta=1;
p=0.001;
zeta=5;
epsilon=0.15;

N=30;

nu=1;
eps_max=10^-5;

%Compute the manifold "imposing the fast/slow ratio":
[a,gamma_1,gamma_2]=compute_para_fast_slow(sigma,s,Delta,p,zeta,epsilon,N,nu,eps_max);
display(['Fast/slow: gamma_1 = ',num2str(gamma_1),' and gamma_2 = ',num2str(gamma_2)])

mesh_size=20;
test_real=1;
n=3;

g_u=@(u) u.^3-(1+sigma)*u.^2+(sigma+1/zeta)*u-p;
u=fzero(g_u,0);
p0=[u;0;u/zeta];


%Triangulate the manifold:
[TRI0, W0] = triangulate(a,N,nu,mesh_size,test_real);

%Plotting:
figure
hold on
t0 = trimesh(TRI0, W0(:,1),  W0(:,2), W0(:,3));
set(t0, 'FaceColor', 'red');
plot3(p0(1), p0(2), p0(3), 'r*')
tau = 0.5;
axis([p0(1)-tau p0(1)+tau p0(2)-tau p0(2)+tau p0(3)-tau p0(3)+tau])
%shading flat;                   
% other options are shading face / shading faceted

hold off  


camlight headlight
