function Mat=Dg_nonlin(a,N)
%Computation of the jacobian of the non-linear part of g

Mat=zeros(3*(N*(N+1)/2-3));
x=a(1:3:end);
y=a(2:3:end);
z=a(3:3:end);

for k=2:N-1    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos_ligne=position(k-j,j)-3;
        for i=0:k-j
            for l=0:j
                pos_colonne=position(i,l)-3;
                pos_vect=position(k-j-i,j-l);
                if pos_colonne>0
                    Mat(3*(pos_ligne-1)+2,3*(pos_colonne-1)+1)=-z(pos_vect);     
                    Mat(3*(pos_ligne-1)+2,3*(pos_colonne-1)+3)=-x(pos_vect);
                    Mat(3*(pos_ligne-1)+3,3*(pos_colonne-1)+1)=y(pos_vect);     
                    Mat(3*(pos_ligne-1)+3,3*(pos_colonne-1)+2)=x(pos_vect);
                end
            end
        end
    end
end