function [F1,F2,F3]=coef_F(a,N,sigma,beta,rho,lambda_1,lambda_2)
%%% This function computes the full |F(a)| (that is without the truncation
%%% at N). The result is stored in 3 vectors (|F|=(|F1|,|F2|,|F3|)).
%%% Inputs: a is a vector of size N*(N+1)/2

M=2*N-1;

% Computation of the truncated part of |F(a)|
F_truncated=zeros(3*N*(N+1)/2,1);
F_truncated(10:3*N*(N+1)/2)=abs(F(a,N,sigma,beta,rho,lambda_1,lambda_2));

F1=F_truncated(1:3:end);

% Computation of the remaining part of |F(a)|
x=zeros(M*(M+1)/2,1);
y=zeros(M*(M+1)/2,1);
z=zeros(M*(M+1)/2,1);
x(1:N*(N+1)/2)=a(1:3:end);
y(1:N*(N+1)/2)=a(2:3:end);
z(1:N*(N+1)/2)=a(3:3:end);

xy=cauchy(x,y,M);
xz=cauchy(x,z,M);

F2=zeros(M*(M+1)/2,1);
F3=zeros(M*(M+1)/2,1);
F2(1:N*(N+1)/2)=F_truncated(2:3:end);
F3(1:N*(N+1)/2)=F_truncated(3:3:end);
for k=N:M-1    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos=position(k-j,j);
        F2(pos)=abs(xz(pos));
        F3(pos)=abs(xy(pos));
    end
end
