function vect=eval_parameterization(theta_1,theta_2,M1,M2,M3,N,test_real)
%This function evaluates the parameterization given by a, at the point
%$(\theta_1,\theta_2)$. If the parameterization is real, isreal must be
%set at 1, and at 0 otherwise.
%M1, M2 and M3 are the matrix representation of each component of the
%parameterization.

power=(0:N-1);
X=theta_1.^(power');
Y=theta_2.^power;
vect=[Y*M1*X;Y*M2*X;Y*M3*X];

if test_real==0
    if max(imag(vect))>10^-12
        display('partie imaginaire non nulle!')
        display(num2str(max(imag(vect))))
    end
    vect=real(vect);
end




