function val=norm_1D(u,N,nu)

% This function computes the $l^1_{\nu}$ norm of 
% u=(u_{\alpha})_{\vert\alpha\vert \ge 0}, where $u_{\alpha}$ is a scalar

if nu==1
    val=sum(abs(u));
else
    vect_alpha=0*u;
    pos=0;
    for k=0:N-1    %k=|alpha|
        vect_alpha(pos+(1:(k+1)))=k*ones((k+1),1);
        pos=pos+(k+1);
    end
    val=abs(u')*nu.^vect_alpha;
end