%% THIS SCRIPT COMPUTES AND DISPLAYS THE STABLE MANIFOLD OF THE ORIGIN. THE
%% COMPUTATION OF THE MANIFOLD IS DONE TO MAXIMIZE THE SURFACE AREA UNDER 
%% THE CONSTRAINT THAT THE RATIO OF THE LENGTH OF THE EIGENVECTORS IS FIXED
%% BY THE RATIO OF THE EIGENVALUES, AND STILL WHILE HAVING A DEFECT LESS
%% THAN eps_max.


sigma = 10;
beta = 8/3;
rho=28;
N=30;

nu=1;
eps_max=10^-5;


%Compute the Stable Manifold of the Origin, with the fixed ratio:
[a,gamma_1,gamma_2]=compute_para_Lorenz_ratio(sigma,beta,rho,N,nu,eps_max);
display(gamma_1)
display(gamma_2)

%Compute the Stable Manifold of the Origin, without the fixed ratio:
[b,eta_1,eta_2]=compute_para_Lorenz_max(sigma,beta,rho,N,nu,eps_max);
display(eta_1)
display(eta_2)

mesh_size=20;
test_real=1;
n=3;

%Triangulate the first Local Stable Manifold at Origin:
[TRI0, W0] = triangulate(a,N,nu,mesh_size,test_real);

%Triangulate the second Local Unstable Manifold at Eye 1:
[TRI1, W1] = triangulate(b,N,nu,mesh_size,test_real);


%Plotting:
figure
hold on
t0 = trisurf(TRI0, W0(:,1),  W0(:,2), W0(:,3));
set(t0, 'FaceColor', 'red');
t1 = trisurf(TRI1, W1(:,1),  W1(:,2), W1(:,3));
set(t1, 'FaceColor', 'blue');

shading flat;                   
% other options are shading face / shading faceted

% camlight headlight
